package com.gic.enterprise.dao.mapper;

import com.gic.enterprise.entity.TabWmStoreSyncLog;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabWmStoreSyncLogMapper {
    /**
     * 根据主键删除
     *
     * @param id 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabWmStoreSyncLog record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabWmStoreSyncLog record);

    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 实体对象
     */
    TabWmStoreSyncLog selectByPrimaryKey(Integer id);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabWmStoreSyncLog record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabWmStoreSyncLog record);

    List<TabWmStoreSyncLog> pageWmStoreSyncLog(@Param("search") String search, @Param("type") Integer type,
                                               @Param("wmMallStoreId") Integer wmMallStoreId);

    List<TabWmStoreSyncLog> getStoreList(@Param("typeList") List<Integer> type, @Param("wmMallStoreId") Integer wmMallStoreId);
}